#include <iostream>

using namespace std;

int main()
{
    string ulaz;
    cin >> ulaz;
    int a1, a2;
    cin >> a1 >> a2;

    if(abs(a1-a2) > 1) cout << "nemoguce";
    else
    {
        string resenje = "";
        if(a1 > a2)
        {
            resenje += ulaz[0];
            for (int i = 0; i < a2; i++)
            {
                resenje += ulaz[1];
                resenje += ulaz[0];
            }
        }
        else if(a2 > a1)
        {
            resenje += ulaz[1];
            for (int i = 0; i < a1; i++)
            {
                resenje += ulaz[0];
                resenje += ulaz[1];
            }
        }
        else
        {
            for(int i = 0; i < a1; i++)
            {
                resenje += ulaz[0];
                resenje += ulaz[1];
            }
        }
        cout << resenje;
    }

    return 0;
}